package com.uas.eis.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.uas.eis.service.QueryService;

@RestController
public class QueryController {

	@Autowired
	private QueryService queryService;
	
	@RequestMapping("/api/query")
	public Object query(String code, String param){
		Map<String, Object> map = new HashMap<String, Object>();
		return queryService.query(code, param);
	}
	
	@RequestMapping("/api/doAction")
	public Object doAction(String code, String param){
		Map<String, Object> map = new HashMap<String, Object>();
		return queryService.doAction(code, param);
	}
	
}
